%global svn_date 20120205
%define _hardened_build 1

Name:           kde-partitionmanager
Version:        1.0.3
Release:        8.%{svn_date}svn%{?dist}
Summary:        KDE Partition Manager

Group:          Applications/System
License:        GPLv2+
URL:            http://www.kde.org/applications/system/kdepartitionmanager/
Source0:        %{name}-%{version}-%{svn_date}svn.tar.gz
Source1:        kdepm-generate-tarball.sh
# Source built using the following commands : sh kdepm-generate-tarball.sh 20120205

BuildRequires:  parted-devel, libblkid-devel, libatasmart-devel, kdelibs4-devel, gettext, cmake, desktop-file-utils
Requires:       parted, e2fsprogs
# Require kde-filesystem
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
KDE Partition Manager is a utility program to help you manage the disk devices,
partitions and file systems on your computer. It allows you to easily create, 
copy, move, delete, resize without losing data, backup and restore partitions.
 
KDE Partition Manager supports a large number of file systems, 
including ext2/3/4, reiserfs, NTFS, FAT16/32, jfs, xfs and more.
 
It makes use of external programs to get its job done, so you might have to 
install additional software (preferably packages from your distribution) 
to make use of all features and get full support for all file systems.


%prep
%setup -q
## Due to the name change
mv src/partitionmanager.desktop src/kde-partitionmanager.desktop
sed -i 's,partitionmanager.desktop,kde-partitionmanager.desktop,' src/CMakeLists.txt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
# %%find_lang partitionmanager --with-kde

# Validate .desktop file
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


# %%files -f partitionmanager.lang
%files
%defattr(-,root,root,-)
%doc README COPYING CHANGES
%{_kde4_bindir}/partitionmanager*
%{_kde4_libdir}/*.so
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_datadir}/kde4/apps/partitionmanager

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8.20120205svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-7.20120205svn
- Enable PIE following change in Pakaging Guidelines

* Wed Mar 14 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-6.20120205svn
- Rebuilt for parted-3.1

* Mon Jan 30 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-5.20120205svn
- Upgrade to svn 2012-02-05
- Fix bug #787194

* Mon Jan 30 2012 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-5.20120130svn
- bugfix release

* Tue Dec 27 2011 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-5.20111223svn
- Added kde-filesystem to Requires
- Added icon cache refresh at installation/uninstallation

* Fri Dec 23 2011 Mattia Verga <mattia.verga@tiscali.it> - 1.0.3-4.20111223svn
- Upgrade to svn 2011-12-22
- Fix bug #757661
- Removed language detection, no translations in svn

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.3-1
- 1.0.3 bugfix release

* Tue May 18 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.2-1
- bugfix release

* Wed Mar 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1%{?dist}.2
- rebuild for new parted

* Sun Feb 14 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1%{?dist}.1
- DSO fix for rawhide

* Mon Jan 25 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- New upstream source

* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-2
- Moved desktop-file-validate to %%install
- Removed superfluous BR qt4-devel

* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-1
- Initial Fedora release
